
Foreman - Bug #9880

Selected hosts remain after closing and revisiting host list

03/24/2015 06:07 AM - Milan Koudelka

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.3

Bugzilla link: 1308794 Red Hat JIRA:  

Pull request:    

Description

When you will select several hosts and then close browser, your selection will remain in cookie/session. If you will several hours later

open foreman using bookmark like https://foreman.koudis.cz/hosts?utf8=%E2%9C%93&search=+owner_id+%3D+17 you will see

some hosts and it's possible that you will not see that some hosts are selected already, because they're not part of current filter. If

you will want to delete one host, you will select it (add it to group of already selected hosts) and if you will not catch this in

confirmation box, you can delete more hosts than you expect. I think that it's better to delete this cookie when you close page with

foreman.

Related issues:

Related to Foreman - Bug #6655: Clear _ForemanSelectedhosts cookie when an ac... Closed 07/16/2014

Has duplicate Foreman - Bug #19507: Selected hosts on satellite UI does not g... Duplicate 05/10/2017

History

#1 - 03/24/2015 06:09 AM - Dominic Cleal

- Related to Bug #6655: Clear _ForemanSelectedhosts cookie when an action is performed added

#2 - 03/24/2015 06:10 AM - Dominic Cleal

- Subject changed from Weird behavior of delete host dialog - multiple hosts to Selected hosts remain after closing and revisiting host list

- Category set to Web Interface

#3 - 03/24/2015 06:10 AM - Dominic Cleal

- Tracker changed from Refactor to Bug

#4 - 05/10/2017 07:24 AM - Dominic Cleal

- Has duplicate Bug #19507: Selected hosts on satellite UI does not get de-selected even after logging out/closing the browser added

#5 - 05/10/2017 07:34 AM - Tomer Brisker

- Bugzilla link set to 1308794
